summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--source/k/kernel-configs/config-generic-6.1.40 (renamed from source/k/kernel-configs/config-generic-6.1.39)2
-rw-r--r--source/k/kernel-configs/config-generic-6.1.40.x64 (renamed from source/k/kernel-configs/config-generic-6.1.39.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-6.1.40-smp (renamed from source/k/kernel-configs/config-generic-smp-6.1.39-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-6.1.40 (renamed from source/k/kernel-configs/config-huge-6.1.39)2
-rw-r--r--source/k/kernel-configs/config-huge-6.1.40.x64 (renamed from source/k/kernel-configs/config-huge-6.1.39.x64)2
-rw-r--r--source/k/kernel-configs/config-huge-smp-6.1.40-smp (renamed from source/k/kernel-configs/config-huge-smp-6.1.39-smp)2
-rwxr-xr-xsource/x/glu/glu.SlackBuild37
7 files changed, 29 insertions, 20 deletions
diff --git a/source/k/kernel-configs/config-generic-6.1.39 b/source/k/kernel-configs/config-generic-6.1.40
index 53d9cc24f..f3fa7422a 100644
--- a/source/k/kernel-configs/config-generic-6.1.39
+++ b/source/k/kernel-configs/config-generic-6.1.40
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.39 Kernel Configuration
+# Linux/x86 6.1.40 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.1.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-6.1.39.x64 b/source/k/kernel-configs/config-generic-6.1.40.x64
index d03edd79a..1fcb915b8 100644
--- a/source/k/kernel-configs/config-generic-6.1.39.x64
+++ b/source/k/kernel-configs/config-generic-6.1.40.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.39 Kernel Configuration
+# Linux/x86 6.1.40 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.1.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-smp-6.1.39-smp b/source/k/kernel-configs/config-generic-smp-6.1.40-smp
index 4b7aca7e0..f56199088 100644
--- a/source/k/kernel-configs/config-generic-smp-6.1.39-smp
+++ b/source/k/kernel-configs/config-generic-smp-6.1.40-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.39 Kernel Configuration
+# Linux/x86 6.1.40 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.1.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-6.1.39 b/source/k/kernel-configs/config-huge-6.1.40
index 1dc47dd98..b8ecc3236 100644
--- a/source/k/kernel-configs/config-huge-6.1.39
+++ b/source/k/kernel-configs/config-huge-6.1.40
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.39 Kernel Configuration
+# Linux/x86 6.1.40 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.1.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-6.1.39.x64 b/source/k/kernel-configs/config-huge-6.1.40.x64
index 4ac7570c7..4eb5e7f3a 100644
--- a/source/k/kernel-configs/config-huge-6.1.39.x64
+++ b/source/k/kernel-configs/config-huge-6.1.40.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.39 Kernel Configuration
+# Linux/x86 6.1.40 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.1.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-smp-6.1.39-smp b/source/k/kernel-configs/config-huge-smp-6.1.40-smp
index 0261a4c7f..a265625c2 100644
--- a/source/k/kernel-configs/config-huge-smp-6.1.39-smp
+++ b/source/k/kernel-configs/config-huge-smp-6.1.40-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.39 Kernel Configuration
+# Linux/x86 6.1.40 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.1.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/x/glu/glu.SlackBuild b/source/x/glu/glu.SlackBuild
index 05a1dbc5e..73e07bb71 100755
--- a/source/x/glu/glu.SlackBuild
+++ b/source/x/glu/glu.SlackBuild
@@ -1,8 +1,7 @@
#!/bin/bash
-# Slackware build script for glu
-
# Copyright 2012 Robby Workman, Northport, Alabama, USA
+# Copyright 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -76,21 +75,31 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --disable-static \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+ --buildtype=release \
+ -Dgl_provider=glvnd \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# No static library:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/lib*.a
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true